/// @DnDAction : YoYo Games.Data Structures.Create_List
/// @DnDVersion : 1
/// @DnDHash : 67717151
/// @DnDComment : An empty list.
/// @DnDArgument : "var" "collidersList"
collidersList = ds_list_create();

/// @DnDAction : YoYo Games.Common.Function_Call
/// @DnDVersion : 1
/// @DnDHash : 296056FF
/// @DnDComment : This creates a list of all $(13_10)objects that are colliding$(13_10)with our current object.
/// @DnDArgument : "function" "instance_place_list"
/// @DnDArgument : "arg" "x, y, obj_squareBubble, collidersList, true"
instance_place_list(x, y, obj_squareBubble, collidersList, true);

/// @DnDAction : YoYo Games.Data Structures.List_Count
/// @DnDVersion : 1
/// @DnDHash : 599B7B96
/// @DnDComment : Variable lenny holds the$(13_10)length of the list.
/// @DnDArgument : "assignee" "lenny"
/// @DnDArgument : "var" "collidersList"
lenny = ds_list_size(collidersList);

/// @DnDAction : YoYo Games.Loops.For_Loop
/// @DnDVersion : 1
/// @DnDHash : 3A05B41A
/// @DnDComment : Loop over each item$(13_10)in the list.
/// @DnDArgument : "cond" "i < lenny"
for(i = 0; i < lenny; i += 1) {
	/// @DnDAction : YoYo Games.Data Structures.List_Get_At
	/// @DnDVersion : 1
	/// @DnDHash : 01ED5CAD
	/// @DnDComment : tmpBubble is the $(13_10)current item we will$(13_10)deal with.
	/// @DnDParent : 3A05B41A
	/// @DnDArgument : "assignee" "tmpBubble"
	/// @DnDArgument : "var" "collidersList"
	/// @DnDArgument : "index" "i"
	tmpBubble = ds_list_find_value(collidersList, i);

	/// @DnDAction : YoYo Games.Common.If_Variable
	/// @DnDVersion : 1
	/// @DnDHash : 157903A0
	/// @DnDComment : If tmpBubble and the$(13_10)current bubble are$(13_10)the same collour
	/// @DnDParent : 3A05B41A
	/// @DnDArgument : "var" "tmpBubble.col"
	/// @DnDArgument : "value" "col"
	if(tmpBubble.col == col)
	{
		/// @DnDAction : YoYo Games.Common.Function_Call
		/// @DnDVersion : 1
		/// @DnDHash : 4666BF12
		/// @DnDComment : Destroy tmpBubble$(13_10)(which will trigger$(13_10)this inside it).
		/// @DnDParent : 157903A0
		/// @DnDArgument : "function" "instance_destroy"
		/// @DnDArgument : "arg" "tmpBubble"
		instance_destroy(tmpBubble);
	}
}